import React, { ReactNode } from 'react';
type Props = {
    title?: string | ReactNode;
    onOk?: (e: any) => void;
    onCancel?: (e: any) => void;
    closeCb?: () => void;
    footer?: ReactNode | boolean;
    content?: ReactNode;
    onClose?: () => void;
    okText?: string;
    cancelText?: string;
    visible?: boolean;
    renderClose?: ReactNode;
    destroyOnClose?: boolean;
    hiddenMask?: boolean;
    isDrag?: boolean;
    isResize?: boolean;
    width?: number;
    className?: string;
    ref?: any;
    style?: React.CSSProperties;
    children?: ReactNode;
};
declare class Modal extends React.PureComponent<Props> {
    static show: (config: any) => {
        setShow: null;
        mounted: boolean;
        hidden(): void;
        destory(): void;
    } | undefined;
    static hidden: () => void;
    static destory: () => void;
    renderFooter: () => React.JSX.Element | null;
    containerRef: React.RefObject<any>;
    titleRef: React.RefObject<any>;
    renderTop: () => React.JSX.Element;
    componentDidMount(): void;
    renderContent: () => any;
    render(): React.JSX.Element;
}
export default Modal;
